/*
 * Multi precision toolbox for Scilab
 * Copyright (C) 2009 - Jonathan Blanchard
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.    The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 */

/* Configuration header for the mps library. */

#ifndef __MPS_CONFIG_H__
#define __MPS_CONFIG_H__

#cmakedefine WITH_ASSERT_CHECKS

#cmakedefine HAVE_STD_ARG

#cmakedefine HAVE_VAR_ARG

#cmakedefine HAVE_OVERLENGTH_STRINGS

#cmakedefine WITH_C99_INLINE

#cmakedefine WITH_OPENMP

#cmakedefine HAVE_GETHRTIME

#cmakedefine HAVE_MACH_TIME

#cmakedefine HAVE_USHORT32
#cmakedefine HAVE_UINT32
#cmakedefine HAVE_ULINT32
#cmakedefine HAVE_SHORT32
#cmakedefine HAVE_INT32
#cmakedefine HAVE_LINT32

#cmakedefine HAVE_UINT64
#cmakedefine HAVE_ULINT64
#cmakedefine HAVE_ULLINT64
#cmakedefine HAVE_INT64
#cmakedefine HAVE_LINT64
#cmakedefine HAVE_LLINT64

#cmakedefine HAVE_UINT32_T
#cmakedefine HAVE_UINT64_T

#cmakedefine HAVE_BIGENDIAN

#endif /* __MPS_CONFIG_H__ */
